function [u] = ismonotonic(x)
%ISMONOTONIC Summary of this function goes here
%   Detailed explanation goes here
%   převzato z "Pokročilá analýza biologických signálů (FACS)
%   14. Jiří Kozumplík, EMD (Empirical Mode Decomposition)"


u1 = length(findpeaks(x))*length(findpeaks(-x));
if u1 > 0, u = 0;
else,      u = 1;
end

end

